#
# spec file for package python-pyaml
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pyaml
Version:        25.5.0
Release:        1.1
Summary:        Python module to produce formatted YAML-serialized data
License:        WTFPL
Group:          Development/Languages/Python
URL:            https://github.com/mk-fg/pretty-yaml
Source:         https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module Unidecode}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Recommends:     python-Unidecode
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
PyYAML-based python module to produce formatted YAML-serialized data.

%prep
%setup -q -n pyaml-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}/%{_bindir}/pyaml
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative pyaml

%postun
%python_uninstall_alternative pyaml

%files %{python_files}
%license COPYING
%doc README.rst
%python_alternative %{_bindir}/pyaml
%{python_sitelib}/pyaml
%{python_sitelib}/pyaml-%{version}*-info

%changelog
* Thu May 29 2025 Dirk Müller <dmueller@suse.com>
- update to 25.5.0:
  * Fix repr_unknown logic for not splitting long values affecting
    all plain strings
    Only intended to keep e.g. "<SomeClass ...> # python SomeType"
    values that have comments in them oneline, not all plain
    strings.
* Tue Apr 22 2025 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Feb  4 2025 Dirk Müller <dmueller@suse.com>
- update to 25.1.0:
  * https://github.com/mk-fg/pretty-yaml/compare/24.9.0...25.1.0
* Wed Nov 20 2024 Dirk Müller <dmueller@suse.com>
- update to 24.9.0:
  * vspacing.oneline_split: fix splitting list items starting with
  "-key
* Sat Aug 31 2024 Dirk Müller <dmueller@suse.com>
- update to 24.7.0:
  * cli.vspacing: add optional "s" flag for oneline_split=True
  * vspacing: keep long all-oneliner blocks together by default,
    unless oneline_split is specified
* Sun Apr 21 2024 Dirk Müller <dmueller@suse.com>
- update to 24.4.0:
  * cli: suppress BrokenPipe tracebacks for closed stdout
  * cli: support multi-doc input/output, add -l/--lines option
    to pretty-print json logs and such
  * README: correct simplier -> simpler misspelling
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 23.12.0:
  * no upstream changelog
* Sat Dec 11 2021 Ben Greiner <code@bnavigator.de>
- update to 21.10.1
  * no changelog
- fit for python310
* Thu May 27 2021 pgajdos@suse.com
- version update to 20.4.0
  * no upstream changelog found
- %%check: use %%pytest rpm macro
* Thu Mar 19 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 20.3.1
  * Add -r/--replace command-line option
* Wed May 15 2019 Gary Smith <GSmith@suse.com>
- Update to version 19.4.1
  * no changelog available
* Mon Sep 10 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description. Use noun phrasing.
* Fri Aug 31 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 17.12.1:
  * Internal changes
- Drop some useless dependencies and conditions
* Fri Nov 10 2017 arun@gmx.de
- update to version 17.10.0:
  * README: add link to ruamel.yaml module as a parser counterpart
- changes from version 17.8.0:
  * Represent numpy arrays as lists, as per #24
- changes from version 17.7.2:
  * allow line width to be passed in throguh cli
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
